Search tags (POST)
curl --request POST \
--url https://api.streamkap.com/tags/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tag_ids": [
"<string>"
]
}
'import requests
url = "https://api.streamkap.com/tags/search"
payload = { "tag_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tag_ids: ['<string>']})
};
fetch('https://api.streamkap.com/tags/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tags
Search tags (POST)
POST alternative for GET /tags. Use when URL length limits are exceeded (e.g., 100+ tag IDs). Supports both query parameters and request body. Body parameters take precedence over query parameters.
POST
/
tags
/
search
Search tags (POST)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
environment, general, pipelines, transforms, topics, services, sources, users, tenant, destinations Body
application/json
Body model for POST /tags/search requests.
Supports large lists of tag IDs that would exceed URL length limits when using GET. Body parameters take precedence over query parameters when both are provided.
List of tag IDs. Body takes precedence over query params.
Response
Successful Response
The response is of type Response Searchtags · object.
Was this page helpful?